Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.rowset
Class RowSetFactory

    java.lang.Object
      weblogic.jdbc.rowset.RowSetFactory

    public abstract class RowSetFactory

extends Object

RowSetFactory is a factory class for creating `javax.sql.RowSet` implementations.

       RowSetFactory factory = RowSetFactory.newInstance();
       RowSet rs             = factory.newCachedRowSet();

Constructor Summary
`protected` | `RowSetFactory()`

Method Summary
`abstract DataSource` | `getDataSource()` Get the DataSource object that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract String` | `getDataSourceName()` Get the DataSource name that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract String` | `getPassword()` Get the password that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract String` | `getUrl()` Get the URL that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract String` | `getUsername()` Get the username that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract WLCachedRowSet` | `newCachedRowSet()` Creates a new `WLCachedRowSet` instance.
`abstract FilteredRowSet` | `newFilteredRowSet()` Creates a new `FilteredRowSet` instance.
`static RowSetFactory` | `newInstance()` Creates a new `RowSetFactory` instance.
`abstract JdbcRowSet` | `newJdbcRowSet()` Creates a new `JdbcRowSet` instance.
`abstract JoinRowSet` | `newJoinRowSet()` Creates a new `JoinRowSet` instance.
`abstract WebRowSet` | `newWebRowSet()` Creates a new `WebRowSet` instance.
`abstract void` | `setDataSource(DataSource ds)` Set the DataSource object that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract void` | `setDataSourceName(String s)` Set the DataSource name that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract void` | `setPassword(String s)` Set the password that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract void` | `setUrl(String s)` Set the URL that will be automatically set on any RowSet instance created from this RowSetFactory.
`abstract void` | `setUsername(String s)` Set the username that will be automatically set on any RowSet instance created from this RowSetFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowSetFactory

    protected RowSetFactory()

Method Detail

### newInstance

    public static RowSetFactory newInstance()

  Creates a new `RowSetFactory` instance.

  Returns:
    a RowSetFactory instance

### newCachedRowSet

    public abstract WLCachedRowSet newCachedRowSet()

  Creates a new `WLCachedRowSet` instance.

  Returns:
    a new `WLCachedRowSet` instance

### newJoinRowSet

    public abstract JoinRowSet newJoinRowSet()

  Creates a new `JoinRowSet` instance.

  Returns:
    a new JoinRowSet instance

### newJdbcRowSet

    public abstract JdbcRowSet newJdbcRowSet()

  Creates a new `JdbcRowSet` instance.

  Returns:
    a new JdbcRowSet instance

### newFilteredRowSet

    public abstract FilteredRowSet newFilteredRowSet()

  Creates a new `FilteredRowSet` instance.

  Returns:
    a new FilteredRowSet instance

### newWebRowSet

    public abstract WebRowSet newWebRowSet()

  Creates a new `WebRowSet` instance.

  Returns:
    a new WebRowSet instance

### getDataSourceName

    public abstract String getDataSourceName()

  Get the DataSource name that will be automatically set on any RowSet instance created from this RowSetFactory.

  Returns:
    DataSource name

### setDataSourceName

    public abstract void setDataSourceName(String s)

  Set the DataSource name that will be automatically set on any RowSet instance created from this RowSetFactory.

### getUsername

    public abstract String getUsername()

  Get the username that will be automatically set on any RowSet instance created from this RowSetFactory.

  Returns:
    username

### setUsername

    public abstract void setUsername(String s)

  Set the username that will be automatically set on any RowSet instance created from this RowSetFactory.

### getPassword

    public abstract String getPassword()

  Get the password that will be automatically set on any RowSet instance created from this RowSetFactory.

  Returns:
    password

### setPassword

    public abstract void setPassword(String s)

  Set the password that will be automatically set on any RowSet instance created from this RowSetFactory.

### getUrl

    public abstract String getUrl()

  Get the URL that will be automatically set on any RowSet instance created from this RowSetFactory.

  Returns:
    url

### setUrl

    public abstract void setUrl(String s)

  Set the URL that will be automatically set on any RowSet instance created from this RowSetFactory.

### getDataSource

    public abstract DataSource getDataSource()

  Get the DataSource object that will be automatically set on any RowSet instance created from this RowSetFactory.

  Returns:
    DataSource object

### setDataSource

    public abstract void setDataSource(DataSource ds)

  Set the DataSource object that will be automatically set on any RowSet instance created from this RowSetFactory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD